NewWacht Bench is live — AI-assisted development for Wacht

Get Thread

GET
/ai/threads/{thread_id}

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

thread_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/ai/threads/string"
{
  "status": 0,
  "message": "string",
  "data": {
    "id": "string",
    "deployment_id": "string",
    "actor_id": "string",
    "project_id": "string",
    "project_name": "string",
    "agent_id": "string",
    "title": "string",
    "thread_purpose": "string",
    "responsibility": "string",
    "reusable": true,
    "accepts_assignments": true,
    "capability_tags": [
      "string"
    ],
    "status": "idle\"\n        | \"running\"\n        | \"waiting_for_input\"\n        | \"interrupted\"\n        | \"completed\"\n        | \"failed\"\n        | string",
    "system_instructions": "string",
    "last_activity_at": "string",
    "completed_at": "string",
    "execution_state": {
      "deep_think_mode_active": true,
      "deep_think_used": 0,
      "approved_once_tool_ids": [
        "string"
      ],
      "pending_approval_request": {
        "request_message_id": "string",
        "description": "string",
        "tools": [
          {
            "tool_id": "string",
            "tool_name": "string",
            "tool_description": "string"
          }
        ]
      },
      "pending_question": {
        "questions": [
          {
            "id": "string",
            "text": "string",
            "answer_kind": {}
          }
        ],
        "context": "string",
        "asked_at": "string",
        "asked_by_thread_id": "string",
        "asked_by_assignment_id": "string"
      }
    },
    "metadata": {
      "property1": null,
      "property2": null
    },
    "created_at": "string",
    "updated_at": "string",
    "archived_at": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}